SimpleDescription (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example

## Interface SimpleDescription

- All Superinterfaces:
    Cloneable, DescriptiveFramework, InterchangeObject, MediaEntity, MetadataObject
  All Known Implementing Classes:
    SimpleDescriptionImpl

      public interface SimpleDescription
      extends MediaEntity, Cloneable, DescriptiveFramework

  Very basic description of an item, based on a few Dublin Core terms.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleDescription` | `clone()` Create a cloned copy of this simple description.
    `Contributor` | `getCreator()` Returns the an entity primarily responsible for making the resource.
    `DateStruct` | `getDateAccepted()` Returns the date of acceptance of the resource.
    `String` | `getIdentifier()` Returns the an unambiguous reference to the resource within a given context.
    `String` | `getTitle()` Returns the a name given to the resource.
    `DCMIType` | `getType()` Returns the identity of the genre of the resource.
    `void` | `setCreator(Contributor creator)` Sets the an entity primarily responsible for making the resource.
    `void` | `setDateAccepted(DateStruct dateAccepted)` Sets the date of acceptance of the resource.
    `void` | `setIdentifier(String identifier)` Sets the an unambiguous reference to the resource within a given context.
    `void` | `setTitle(String title)` Sets the a name given to the resource.
    `void` | `setType(DCMIType type)` Sets the identity of the genre of the resource.

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveFramework

      `getLinkedDescriptiveFrameworkPluginID, setLinkedDescriptiveFrameworkPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getTitle

          String getTitle()

      Returns the a name given to the resource.

      Returns:
        A name given to the resource.

    - #### setTitle

          void setTitle(String title)
                 throws NullPointerException

      Sets the a name given to the resource.

      Parameters:
        `title` - A name given to the resource.
      Throws:
        `NullPointerException` - Cannot set the required title with a `null` value.

    - #### getCreator

          Contributor getCreator()
                          throws PropertyNotPresentException

      Returns the an entity primarily responsible for making the resource.

      This is an optional property.

      Returns:
        An entity primarily responsible for making the resource.
      Throws:
        `PropertyNotPresentException` - The optional creator property is not present for this simple description.

    - #### setCreator

          void setCreator(Contributor creator)

      Sets the an entity primarily responsible for making the resource.

      Set this optional property to `null` to omit it.

      Parameters:
        `creator` - An entity primarily responsible for making the resource.

    - #### getIdentifier

          String getIdentifier()

      Returns the an unambiguous reference to the resource within a given context.

      Returns:
        An unambiguous reference to the resource within a given context.

    - #### setIdentifier

          void setIdentifier(String identifier)
                      throws NullPointerException

      Sets the an unambiguous reference to the resource within a given context.

      Parameters:
        `identifier` - An unambiguous reference to the resource within a given context.
      Throws:
        `NullPointerException` - Cannot set the required identifier with a `null` value.

    - #### getType

          DCMIType getType()
                    throws PropertyNotPresentException

      Returns the identity of the genre of the resource.

      This is an optional property.

      Returns:
        Identity of the genre of the resource.
      Throws:
        `PropertyNotPresentException` - The optional type property is not present for this simple description.

    - #### setType

          void setType(DCMIType type)

      Sets the identity of the genre of the resource.

      Set this optional property to `null` to omit it.

      Parameters:
        `type` - Identity of the genre of the resource.

    - #### getDateAccepted

          DateStruct getDateAccepted()
                              throws PropertyNotPresentException

      Returns the date of acceptance of the resource.

      This is an optional property.

      Returns:
        Date of acceptance of the resource.
      Throws:
        `PropertyNotPresentException` - The optional date accepted property is not present for this simple description.

    - #### setDateAccepted

          void setDateAccepted(DateStruct dateAccepted)

      Sets the date of acceptance of the resource.

      Set this optional property to `null` to omit it.

      Parameters:
        `dateAccepted` - Date of acceptance of the resource.

    - #### clone

          SimpleDescription clone()

      Create a cloned copy of this simple description.

      Specified by:
        `clone` in interface `DescriptiveFramework`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this simple description.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.